﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using OTUS_Homework_2_Antipova.Data;

#nullable disable

namespace OTUS_Homework_2_Antipova.Data.Migrations
{
    [DbContext(typeof(GoodsMagagementDbContext))]
    partial class GoodsMagagementDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasDefaultSchema("public")
                .HasAnnotation("ProductVersion", "7.0.5")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("GoodsDboStockDbo", b =>
                {
                    b.Property<int>("GoodsId")
                        .HasColumnType("integer");

                    b.Property<int>("StockId")
                        .HasColumnType("integer");

                    b.HasKey("GoodsId", "StockId");

                    b.HasIndex("StockId");

                    b.ToTable("GoodsDboStockDbo", "public");
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsCategoryDbo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.HasKey("Id");

                    b.ToTable("goods_gategory", "public");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Description = "Всё для домашнего ухода за зубами",
                            Name = "Гигиена рта"
                        },
                        new
                        {
                            Id = 2,
                            Description = "Средства по уходу за кожей",
                            Name = "Гигиена тела"
                        },
                        new
                        {
                            Id = 3,
                            Description = "Безопасные и гипоалергенные средства для детей.",
                            Name = "Детская гигиена"
                        },
                        new
                        {
                            Id = 4,
                            Description = "Средства которые помогают справиться с определенной проблемой",
                            Name = "Специальная гигиена"
                        },
                        new
                        {
                            Id = 5,
                            Description = "Средства контактной коррекции зрения и аксессуары.",
                            Name = "Контейнеры и линзы"
                        });
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsDbo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<decimal>("BasePrice")
                        .HasColumnType("numeric");

                    b.Property<int?>("CategoryId")
                        .HasColumnType("integer");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int?>("GoodsStockId")
                        .HasColumnType("integer");

                    b.Property<int?>("StockId")
                        .HasColumnType("integer");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.HasKey("Id");

                    b.HasIndex("CategoryId");

                    b.ToTable("goods", "public");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            BasePrice = 150m,
                            CategoryId = 1,
                            Description = "Зубная щетка Hausland мягкая набор 2 шт., для взрослых, для чистки зубов и десен, универсальная, для гигиены и ухода за полостью рта.",
                            Title = "Набор зубных щёток"
                        },
                        new
                        {
                            Id = 2,
                            BasePrice = 250m,
                            CategoryId = 1,
                            Description = "Одна сторона со щеткой (межзубный ершик) предназначена для бережной чистки межзубного пространства, другая - для удаления зубов.",
                            Title = "Зубная нить \"Блеск межзубного пространства\""
                        },
                        new
                        {
                            Id = 3,
                            BasePrice = 78m,
                            CategoryId = 1,
                            Description = "Дешевое и сердитое решение для очистки зубов.",
                            Title = "Зубная нить \"Твоя цена\""
                        },
                        new
                        {
                            Id = 4,
                            BasePrice = 180m,
                            Description = "Южно-Корейский контейнер для линз простой и универсальный помощник для тех, кто регулярно пользуется контактными линзами. Цвет - зеленый.",
                            Title = "Контейнер для линз зеленый"
                        },
                        new
                        {
                            Id = 5,
                            BasePrice = 180m,
                            Description = "Южно-Корейский контейнер для линз простой и универсальный помощник для тех, кто регулярно пользуется контактными линзами. Цвет - синий.",
                            Title = "Контейнер для линз синий"
                        },
                        new
                        {
                            Id = 6,
                            BasePrice = 2500m,
                            CategoryId = 2,
                            Description = "Чашеобразное приспособление, которое используется для мытья рук или небольших предметов.",
                            Title = "Говорящий умывальник \"Мойдодыр\""
                        },
                        new
                        {
                            Id = 7,
                            BasePrice = 60m,
                            CategoryId = 2,
                            Description = "Туалетное мыло РЕЦЕПТЫ ЧИСТОТЫ «Земляничное» очищает кожу, бережно ухаживая за ней. Средство непременно поднимет настроение благодаря аромату.",
                            Title = "Мыло \"Земляничное\""
                        });
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsStockDbo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<int>("Count")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasDefaultValue(0);

                    b.Property<int>("GoodsId")
                        .HasColumnType("integer");

                    b.Property<int>("StockId")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.HasIndex("GoodsId");

                    b.HasIndex("StockId");

                    b.ToTable("goods_stock", "public");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Count = 10,
                            GoodsId = 1,
                            StockId = 2
                        },
                        new
                        {
                            Id = 2,
                            Count = 500,
                            GoodsId = 1,
                            StockId = 1
                        },
                        new
                        {
                            Id = 3,
                            Count = 27,
                            GoodsId = 2,
                            StockId = 5
                        },
                        new
                        {
                            Id = 4,
                            Count = 140,
                            GoodsId = 3,
                            StockId = 4
                        },
                        new
                        {
                            Id = 5,
                            Count = 100,
                            GoodsId = 5,
                            StockId = 5
                        });
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.StockDbo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("Address")
                        .HasColumnType("text");

                    b.Property<decimal?>("AddressLatitude")
                        .HasColumnType("numeric");

                    b.Property<decimal?>("AddressLongitude")
                        .HasColumnType("numeric");

                    b.Property<int>("Capacity")
                        .HasColumnType("integer");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("character varying(200)");

                    b.HasKey("Id");

                    b.ToTable("stock", "public");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Address = "Москва, Ленина, 53",
                            AddressLatitude = 55.713656m,
                            AddressLongitude = 37.553878m,
                            Capacity = 30000,
                            Title = "Склад Москва-1"
                        },
                        new
                        {
                            Id = 2,
                            Address = "Москва, Ленина, 56",
                            AddressLatitude = 55.713656m,
                            AddressLongitude = 37.553898m,
                            Capacity = 30000,
                            Title = "Склад Москва-2"
                        },
                        new
                        {
                            Id = 3,
                            Address = "Санкт-Петербург, Невский, 1",
                            Capacity = 50000,
                            Title = "Склад Петербург-1"
                        },
                        new
                        {
                            Id = 4,
                            Address = "Муром, ПГТ Солнечный, Победы, 15",
                            Capacity = 2000,
                            Title = "Склад Муром"
                        },
                        new
                        {
                            Id = 5,
                            Address = "Москва, Ленина, 59",
                            AddressLatitude = 55.713698m,
                            AddressLongitude = 37.5538654m,
                            Capacity = 30000,
                            Title = "Склад Москва-3"
                        });
                });

            modelBuilder.Entity("GoodsDboStockDbo", b =>
                {
                    b.HasOne("OTUS_Homework_2_Antipova.Data.Models.GoodsDbo", null)
                        .WithMany()
                        .HasForeignKey("GoodsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("OTUS_Homework_2_Antipova.Data.Models.StockDbo", null)
                        .WithMany()
                        .HasForeignKey("StockId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsDbo", b =>
                {
                    b.HasOne("OTUS_Homework_2_Antipova.Data.Models.GoodsCategoryDbo", "Category")
                        .WithMany("Goods")
                        .HasForeignKey("CategoryId")
                        .OnDelete(DeleteBehavior.NoAction);

                    b.Navigation("Category");
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsStockDbo", b =>
                {
                    b.HasOne("OTUS_Homework_2_Antipova.Data.Models.GoodsDbo", "Goods")
                        .WithMany("GoodsStock")
                        .HasForeignKey("GoodsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("OTUS_Homework_2_Antipova.Data.Models.StockDbo", "Stock")
                        .WithMany("GoodsStock")
                        .HasForeignKey("StockId");

                    b.Navigation("Goods");

                    b.Navigation("Stock");
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsCategoryDbo", b =>
                {
                    b.Navigation("Goods");
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.GoodsDbo", b =>
                {
                    b.Navigation("GoodsStock");
                });

            modelBuilder.Entity("OTUS_Homework_2_Antipova.Data.Models.StockDbo", b =>
                {
                    b.Navigation("GoodsStock");
                });
#pragma warning restore 612, 618
        }
    }
}
